/**
 * For `GridEntityType.DOOR` (16).
 *
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * @enum
 * @notExported
 * @rename DoorSlotFlag
 */
declare const DoorSlotFlagInternal: {
    /** 1 << 0 (1) */
    readonly LEFT_0: number;
    /** 1 << 1 (2) */
    readonly UP_0: number;
    /** 1 << 2 (4) */
    readonly RIGHT_0: number;
    /** 1 << 3 (8) */
    readonly DOWN_0: number;
    /** 1 << 4 (16) */
    readonly LEFT_1: number;
    /** 1 << 5 (32) */
    readonly UP_1: number;
    /** 1 << 6 (64) */
    readonly RIGHT_1: number;
    /** 1 << 7 (128) */
    readonly DOWN_1: number;
};
type DoorSlotFlagValue = BitFlag & {
    readonly __doorSlotFlagBrand: symbol;
};
type DoorSlotFlagType = {
    readonly [K in keyof typeof DoorSlotFlagInternal]: DoorSlotFlagValue;
};
export declare const DoorSlotFlag: DoorSlotFlagType;
export type DoorSlotFlag = DoorSlotFlagType[keyof DoorSlotFlagType];
export declare const DoorSlotFlagZero: BitFlags<DoorSlotFlagValue>;
export {};
//# sourceMappingURL=DoorSlotFlag.d.ts.map